##############################################################
# example values for use with tutorial workflow and minikube #
##############################################################

existingSecret: ngc-api
existingImagePullSecret: nvcrimagepullsecret

entity-store:
  enabled: true
  appConfig:
    BASE_URL_NIM: http://nemo-nim-proxy:8000
    BASE_URL_DATASTORE: http://nemo-data-store:3000/v1/hf

data-store:
  enabled: true
  external:
    rootUrl: http://data-store.test
    domain: data-store.test
  persistence:
    size: 2Gi

customizer:
  enabled: true
  modelsStorage:
    storageClassName: standard
  customizerConfig:
    models:
      meta/llama-3.2-1b-instruct:
        enabled: true
      meta/llama-3.1-8b-instruct:
        enabled: true
        model_path: llama-3_1-8b-instruct
        training_options:
        - finetuning_type: lora
          num_gpus: 1
          training_type: sft
    training:
      pvc:
        storageClass: "standard"
        volumeAccessMode: "ReadWriteOnce"

evaluator:
  enabled: true
  milvus:
    enabled: false
  argoServiceAccount:
    create: true
    name: workflow-executor

guardrails:
  enabled: true
  env:
    DEMO: "True"
    DEFAULT_CONFIG_ID: self-check
    NIM_ENDPOINT_URL: http://nemo-nim-proxy:8000/v1

ingress:
  enabled: true
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 100m

deployment-management:
  deployments:
    defaultStorageClass: standard
